/*
 Theme Name:   2023 child
 Description:  Child Theme
 Author:       
 Template:     twentytwentythree
 Version:      1.0
 Text Domain:  2023-child2
*/

@viewport {
	width: device-width;	
	zoom: 1;	
	}


	:root {
		--base-font-size: 16px;
	}


	@font-face {
		font-family: 'ssp_r';
		src: url('fonts/SourceSansPro-Regular.ttf');
		font-weight: normal;
		font-style: normal;
		font-display: swap;
	
	}
	
	
	
	
	@font-face {
		font-family: 'ssp_l';
		src: url('fonts/SourceSansPro-Light.ttf');
		font-weight: normal;
		font-style: normal;
		font-display: swap;
	
	}



	@media (prefers-color-scheme: dark) {
		:root {
			--bg-color: #000000;
			--text-color: #ffffff;
		}
	}



	
	:root {
		
		--bg-color: #ffffff;
		--text-color:#242424;
		--base-font-size: 16px;
		

   }
	
	html {
		max-width: 100%;
		overflow-x: hidden;
		scroll-behavior: smooth;
		background-color: rgba(0,0,0,0.05);
	}


	

body {		
		
font-family: 'ssp_l';	
background: var(--bg-color);;
color:var(--text-color);
font-size: var(--base-font-size);
padding: 0 !important;
max-width: 1200px;
margin:2em auto;
box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}


body > .wp-site-blocks {
	padding:0;
}

/* Header */


h1 {color: #1E2A38;  width: fit-content; position: relative; font-size: calc(var(--base-font-size) + 1em);}

h2 {font-family: 'ssp_l'; color: #1E2A38; font-size: calc(var(--base-font-size) + 1.2em); margin-bottom:1em; position: relative; width: fit-content;}
h2::after {position: absolute; height:1px; content:''; background-color: white; width:100%; bottom:0; left:0;}
.wp-block-cover__inner-container {padding:2em;}
.wp-block-cover__inner-container p {margin:0;}

.wp-block-cover__inner-container p:nth-child(2) {font-size:2em;}
.wp-block-cover__inner-container p:nth-child(3) {font-size:1.5em;}
.wp-block-cover__inner-container p:nth-child(4) {font-size:1.5em; }
.wp-block-cover__inner-container p:nth-child(1) {font-size:2.6em; }


.wp-block-button__link{background-color: #1E2A38;color: white; text-transform: uppercase;}
.wp-block-button__link:hover{background-color: white; color: #1E2A38; transition: all 1s ease;}

.kontakt p {font-size: 1.3em;}
.kontakt a { position: relative; text-decoration: none; }
.kontakt a::after {position: absolute; height:1px; content:''; background-color: white; width:100%; bottom:0; left:0;}


.box {
	background-color: #f2cb789f;
	padding: 1em;
	border-radius: 10px;
	box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.uppercase {
	text-transform: uppercase;
	font-size: calc(var(--base-font-size) + 0.1em);
	color: #b92621;
}

.bg_grey {color: rgb(248, 248, 248); background-color: #1E2A38;}
.bg_grey h2 {color:white;}
.bg_grey a { color: white;}

.prolist li {
	list-style: none;
	display: block;
	position: relative;
	padding-top: 0.2em;
}

.prolist li::before {
	font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f101";
	color: #C8A96A;
	position: absolute;
	left: -35px;
}

.bluelist li {
	list-style: none;
	display: block;
	position: relative;
	padding-top: 0.2em;
	color: white;
}

.bluelist li::before {
	font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f101";
	color: #C8A96A;
	position: absolute;
	left: -35px;
}

.copyright {display:none;}

/* Footer */

footer {color: #1E2A38; background-color: #ffffff; padding: 1em 1em; margin-top: 0;}

footer a {color: #1E2A38; text-decoration: none;}
footer a:hover {color: #26466a; transition: all 1s ease;}

@media screen AND (max-width: 780px) {
	body {margin: 0;}
	* p, h1, h2{text-align: center !important;}
	.fachgebiet {flex-direction: row-reverse;}
	h2:not(.wp-block-cover__inner-container h2) {text-align: left;}
	.wp-block-cover__inner-container h2 {font-size:1.5em;}
	footer p {text-align: center !important;}
	footer .wp-block-group {justify-content: center;}

}

@media screen AND (max-width: 600px) {
header > div > div {
display: block !important;
justify-content: center !important;
}
header > div > div > div{justify-content: center !important;}
header nav {margin-bottom: 1em !important; margin-top: 1em !important; }

.wp-block-cover__inner-container h1 {font-size:2em;}
.wp-block-cover__inner-container h2 {font-size:1.2em;}
}



@media screen AND (max-width: 600px) {
	.wp-block-cover__inner-container h1 {font-size:1.5em;}
.wp-block-cover__inner-container h2 {font-size:1.1em;}
}